Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO > Class Template Reference

`#include <IGeomBase.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >:
[legend]

## Public Types
typedef INFO | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< INFO >
typedef INFO | info_type
typedef ISchema< INFO > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions
| IGeomBaseSchema ()
| IGeomBaseSchema (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| IGeomBaseSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| Wrap an existing schema object.
| IGeomBaseSchema (const ICompoundProperty &iProp, Abc::WrapExistingFlag iFlag, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
virtual void | reset ()
virtual bool | valid () const
Abc::IBox3dProperty | getSelfBoundsProperty () const
Abc::IBox3dProperty | getChildBoundsProperty () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< INFO >
| ISchema ()
| ISchema (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, WrapExistingFlag iFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty.
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Attributes
Abc::IBox3dProperty | m_selfBoundsProperty
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< INFO >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Detailed Description

template<class INFO>
class Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >

This class holds properties common to all geometric classes that have a physical volume.

- selfBounds
- childBounds (optional)
- GeomParams (optional)
- UserProperties (optional)

This class is used to encapsulate common functionality of the real Geometry schema classes, like IPoints and IPolyMesh and so on

## Constructor & Destructor Documentation

## ◆ IGeomBaseSchema() [1/2]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::IGeomBaseSchema | ( |  | ) |
| inline

The default constructor creates an empty ISchema. Used to create "NULL/invalid" instances.

## ◆ IGeomBaseSchema() [2/2]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::IGeomBaseSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )
| inline

Delegates to Abc/ISchema, and then creates properties that are present.

## Member Function Documentation

## ◆ reset()

template<class INFO>

virtual void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::reset | ( |  | ) |
| inlinevirtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase, Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::ISubDSchema.

## ◆ valid()

template<class INFO>

virtual bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::valid | ( |  | ) | const
| inlinevirtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBase, Alembic::AbcGeom::ALEMBIC_VERSION_NS::INuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::IPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::ISubDSchema.

The documentation for this class was generated from the following file:

- AbcGeom/IGeomBase.h